<form [formGroup]="form">
  <mat-form-field *ngIf="getFormControl(formDefinition.firstName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.firstName | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.lastName) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.lastName | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.homeOrganization) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.homeOrganization | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.email) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.email | translate }}</mat-label>
    <input [formControl]="fd"
           [required]="formValidationHelper.hasRequiredField(fd)"
           [solidifyValidation]="errors"
           matInput
    >
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>

  <mat-form-field *ngIf="getFormControl(formDefinition.applicationRole) as fd"
                  [appearance]="appearanceInputMaterial"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                  solidifyTooltipOnEllipsis
  >
    <mat-label>{{labelTranslateEnum.role | translate }}</mat-label>
    <mat-select [formControl]="fd"
                [required]="formValidationHelper.hasRequiredField(fd)"
                [solidifyValidation]="errors"
    >
      <mat-option *ngFor="let role of applicationRolesNames"
                  [value]="role"
                  solidifyTooltipOnEllipsis
      >
        {{role | translate}}
      </mat-option>
    </mat-select>
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>
</form>
